package com.liquidnet.client.admin.web.controller.zhengzai.smile;

import com.liquidnet.client.admin.common.core.controller.BaseController;
import com.liquidnet.client.admin.common.core.domain.AjaxResult;
import com.liquidnet.client.admin.zhengzai.smile.service.ISmileUserService;
import com.liquidnet.service.smile.entity.SmileUser;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.List;

@Api(tags = "用户管理")
@Controller
@RequestMapping("smile/user")
public class SmailUserController extends BaseController {

    @Autowired
    ISmileUserService iSmileUserService;

    @GetMapping("/userList")
    @ApiOperation(value = "获取注册用户列表")
    @ResponseBody
    public AjaxResult userList(){
        List<SmileUser> smileUsers = iSmileUserService.userList();
        return AjaxResult.success();
    }
}
